=== debian/changelog ===
choreonoid (1.5.0+dfsg-0.1build3) bionic; urgency=medium

  * No-change rebuild for libicu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Oct 2017 16:40:33 +0000

choreonoid (1.5.0+dfsg-0.1build2) zesty; urgency=medium

  * No-change rebuild against latest glew

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 06 Nov 2016 21:23:06 -0500

choreonoid (1.5.0+dfsg-0.1build1) zesty; urgency=high

  * No change rebuild against boost1.62.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 01 Nov 2016 16:04:45 +0000

choreonoid (1.5.0+dfsg-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release Closes: #811639
  * Drop README.source, add all thirdparty (but irrxml) to Files-Excluded
    in debian/copyright.
  * Add repackage suffix option to debian/uscan
  * Refresh patches, drop FTBFS fixes, keep cmake/multiarch patches, keep
    x86_64 -> 64bit fix.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 17 Aug 2016 10:46:40 +0100
