=== debian/control ===
Source: choreonoid
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Thomas Moulard <thomas.moulard@gmail.com>
Build-Depends: debhelper (>= 9), cmake,
	       doxygen, doxygen-latex, graphviz,
	       pkg-kde-tools (>= 0.6),
	       libboost-all-dev,
	       libeigen3-dev,
	       libz-dev,
	       libjpeg-dev,
	       libpng-dev,
	       libopenscenegraph-dev,
	       libsimage-dev,
	       libyaml-dev,
	       libqt4-opengl-dev,
	       qt4-dev-tools,
	       qt4-qtconfig,
	       libglew-dev,
	       gettext
Standards-Version: 3.9.4
Section: science
Homepage: http://choreonoid.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/choreonoid.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/choreonoid.git
XS-Testsuite: autopkgtest

Package: choreonoid-data
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Integrated robotics GUI environment - shared data
 Choreonoid is an integrated robotics GUI environment, which allows
 users to add their own functions on the basis of various basic
 robotics functions.
 .
 This package contains architecture independent files for the
 choreonoid packages.

Package: choreonoid
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
	 libcnoid1 (= ${binary:Version}),
	 choreonoid-data (= ${source:Version})
Suggests: choreonoid-doc
Multi-Arch: foreign
Description: Integrated robotics GUI environment
 Choreonoid is an integrated robotics GUI environment, which allows
 users to add their own functions on the basis of various basic
 robotics functions.

Package: libcnoid1
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Integrated robotics GUI environment - shared library
 Choreonoid is an integrated robotics GUI environment, which allows
 users to add their own functions on the basis of various basic
 robotics functions.
 .
 This package gathers choreonoid shared libraries.

Package: libcnoid-dev
Architecture: any
Section: libdevel
Depends: libcnoid1 (= ${binary:Version}), ${misc:Depends},
	 libboost-all-dev,
	 libeigen3-dev,
	 libz-dev,
	 libjpeg-dev,
	 libpng-dev,
	 libopenscenegraph-dev,
	 libsimage-dev,
	 libyaml-dev,
	 libqt4-opengl-dev,
	 pkg-config
Multi-Arch: same
Description: Integrated robotics GUI environment - development files
 Choreonoid is an integrated robotics GUI environment, which allows
 users to add their own functions on the basis of various basic
 robotics functions.
 .
 This package gathers development files required to compile Choreonoid
 plug-ins.

Package: choreonoid-dbg
Architecture: any
Section: debug
Depends: choreonoid (= ${binary:Version}), ${misc:Depends}
Multi-Arch: foreign
Description: Choreonoid debugging symbols
 Choreonoid is an integrated robotics GUI environment, which allows
 users to add their own functions on the basis of various basic
 robotics functions.
 .
 This package contains the debugging symbols.

Package: choreonoid-plugins-base
Architecture: any
Depends: ${shlibs:Depends},
	 ${misc:Depends},
	 libcnoid1 (= ${binary:Version})
Enhances: choreonoid
Multi-Arch: foreign
Description: Integrated robotics GUI environment - core plug-ins
 Choreonoid is an integrated robotics GUI environment, which allows
 users to add their own functions on the basis of various basic
 robotics functions.
 .
 This package gathers choreonoid core plug-ins.

Package: choreonoid-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Integrated robotics GUI environment - documentation
 Choreonoid is an integrated robotics GUI environment, which allows
 users to add their own functions on the basis of various basic
 robotics functions.
 .
 This package gathers choreonoid documentation.
