=== debian/watch ===
version=3
opts="dversionmangle=s/\+dfsg//, repacksuffix=+dfsg" \
http://choreonoid.org/en/download.html .*/_downloads/choreonoid-(.*).zip
